<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF" xlink:label="DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF" xlink:label="ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF" xlink:label="OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock" xlink:label="NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock" xlink:label="AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock" xlink:label="NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets" xlink:label="NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_JointlyControlledAssetsOfJointVentureCA" xlink:label="JointlyControlledAssetsOfJointVentureCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ProvisionForTreatmentOfPCBWasteNCL" xlink:label="ProvisionForTreatmentOfPCBWasteNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration" xlink:label="NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_StrategyClimateChangeTextBlock" xlink:label="StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_GovernanceHumanRightsTextBlock" xlink:label="GovernanceHumanRightsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ReferenceToOtherInformationGovernanceHumanRights" xlink:label="ReferenceToOtherInformationGovernanceHumanRights" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_StrategyHumanRightsTextBlock" xlink:label="StrategyHumanRightsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_RiskManagementHumanRightsTextBlock" xlink:label="RiskManagementHumanRightsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_MetricsAndTargetsHumanRightsTextBlock" xlink:label="MetricsAndTargetsHumanRightsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember" xlink:label="DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember" xlink:label="DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:label="PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_SakakidaMasakazuMember" xlink:label="SakakidaMasakazuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_DeguchiAtsushiMember" xlink:label="DeguchiAtsushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_KobayashiNaokiMember" xlink:label="KobayashiNaokiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_OtaKojiMember" xlink:label="OtaKojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_MatsukawaRyoMember" xlink:label="MatsukawaRyoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_KunigoYutakaMember" xlink:label="KunigoYutakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_WatanabeShuheiMember" xlink:label="WatanabeShuheiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ItoHisashiMember" xlink:label="ItoHisashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL" xlink:label="OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_EngineeringReportableSegmentsMember" xlink:label="EngineeringReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI" xlink:label="ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_LossOnLiquidationOfInvestmentSecuritiesEL" xlink:label="LossOnLiquidationOfInvestmentSecuritiesEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL" xlink:label="BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF" xlink:label="LossGainOnLiquidationOfInvestmentSecuritiesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:label="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingBadDebtsWrittenOffTextBlock" xlink:label="NotesRegardingBadDebtsWrittenOffTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock" xlink:label="NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ShimizuHiroyukiMember" xlink:label="ShimizuHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_KugaTakuyaMember" xlink:label="KugaTakuyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_KurokiShokoMember" xlink:label="KurokiShokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_MatsuoYumikoMember" xlink:label="MatsuoYumikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_IshikawaMasaoMember" xlink:label="IshikawaMasaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NarahashiMikaMember" xlink:label="NarahashiMikaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates" xlink:label="NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2023-12-01/jpcrp_cor_2023-12-01.xsd#jpcrp_cor_OrdinaryIncomeLossSummaryOfBusinessResults" xlink:label="OrdinaryIncomeLossSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_OrdinaryIncomeLossSummaryOfBusinessResults" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_OrdinaryIncomeLossSummaryOfBusinessResults">経常利益</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OrdinaryIncomeLossSummaryOfBusinessResults" xlink:to="label_OrdinaryIncomeLossSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01569-000_2024-03-31_03_2024-07-31.xsd#jpcrp030000-asr_E01569-000_ClassAPreferredSharesSharesWithNoVotingRightsMember" xlink:label="ClassAPreferredSharesSharesWithNoVotingRightsMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">会計方針の変更による累積的影響額</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">会計方針の変更を反映した当期首残高</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock_2">その他の包括利益累計額に関する注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock" xlink:to="label_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock">その他の包括利益累計額に関する注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock" xlink:to="label_NotesRegardingAccumulatedOtherComprehensiveIncomeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration_2">国内事業統合に伴うオフィス集約費用に関する注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration" xlink:to="label_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration">国内事業統合に伴うオフィス集約費用に関する注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration" xlink:to="label_NotesRegardingOfficeConsolidationExpensesRelatedToDomesticBusinessIntegration" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock_2">退職給付制度終了損の注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock" xlink:to="label_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock">退職給付制度終了損の注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock" xlink:to="label_NotesRegardingLossOnAbolishmentOfRetirementBenefitPlanTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock">ジョイントベンチャー持分資産に関する注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock" xlink:to="label_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock_2">ジョイントベンチャー持分資産に関する注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock" xlink:to="label_NotesRegardingJointlyControlledAssetsOfJointVentureTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock">金融取引として会計処理した資産及び負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock" xlink:to="label_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock_2">金融取引として会計処理した資産及び負債 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock" xlink:to="label_AssetsAndLiabilitiesAccountedForAsFinancialTransactionsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember">取締役（監査等委員である取締役を除く）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember" xlink:to="label_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember_2">取締役（監査等委員である取締役を除く） [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember" xlink:to="label_DirectorsWhoAreNotAuditAndSupervisoryCommitteeMembersMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember">監査等委員である取締役</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember" xlink:to="label_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember_2">監査等委員である取締役 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember" xlink:to="label_DirectorsWhoAreAuditAndSupervisoryCommitteeMembersMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers">業績連動型株式報酬</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers_2">業績連動型株式報酬、役員区分ごとの報酬</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_PerformanceBasedStockCompensationRemunerationByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesSharesWithNoVotingRightsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassAPreferredSharesSharesWithNoVotingRightsMember_2">Ａ種優先株式</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesSharesWithNoVotingRightsMember" xlink:to="label_ClassAPreferredSharesSharesWithNoVotingRightsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesSharesWithNoVotingRightsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassAPreferredSharesSharesWithNoVotingRightsMember">Ａ種優先株式、無議決権株式 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesSharesWithNoVotingRightsMember" xlink:to="label_ClassAPreferredSharesSharesWithNoVotingRightsMember" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyClimateChangeTextBlock_2">戦略、気候変動</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyClimateChangeTextBlock">戦略、気候変動 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsClimateChangeTextBlock_2">指標及び目標、気候変動</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsClimateChangeTextBlock">指標及び目標、気候変動 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceHumanRightsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceHumanRightsTextBlock_2">ガバナンス、人権</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceHumanRightsTextBlock" xlink:to="label_GovernanceHumanRightsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceHumanRightsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceHumanRightsTextBlock">ガバナンス、人権 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceHumanRightsTextBlock" xlink:to="label_GovernanceHumanRightsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationGovernanceHumanRights_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationGovernanceHumanRights_2">他の記載への参照</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationGovernanceHumanRights" xlink:to="label_ReferenceToOtherInformationGovernanceHumanRights_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationGovernanceHumanRights" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationGovernanceHumanRights">他の記載への参照、ガバナンス、人権</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationGovernanceHumanRights" xlink:to="label_ReferenceToOtherInformationGovernanceHumanRights" />
    <link:label xlink:type="resource" xlink:label="label_StrategyHumanRightsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyHumanRightsTextBlock_2">戦略、人権</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyHumanRightsTextBlock" xlink:to="label_StrategyHumanRightsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyHumanRightsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyHumanRightsTextBlock">戦略、人権 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyHumanRightsTextBlock" xlink:to="label_StrategyHumanRightsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementHumanRightsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementHumanRightsTextBlock_2">リスク管理、人権</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementHumanRightsTextBlock" xlink:to="label_RiskManagementHumanRightsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementHumanRightsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementHumanRightsTextBlock">リスク管理、人権 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementHumanRightsTextBlock" xlink:to="label_RiskManagementHumanRightsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsHumanRightsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsHumanRightsTextBlock_2">指標及び目標、人権</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsHumanRightsTextBlock" xlink:to="label_MetricsAndTargetsHumanRightsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsHumanRightsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsHumanRightsTextBlock">指標及び目標、人権 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsHumanRightsTextBlock" xlink:to="label_MetricsAndTargetsHumanRightsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_EngineeringReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EngineeringReportableSegmentsMember">エンジニアリング</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EngineeringReportableSegmentsMember" xlink:to="label_EngineeringReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_EngineeringReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EngineeringReportableSegmentsMember_2">エンジニアリング、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EngineeringReportableSegmentsMember" xlink:to="label_EngineeringReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2">関係会社株式評価損の注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock">関係会社株式評価損の注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingBadDebtsWrittenOffTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingBadDebtsWrittenOffTextBlock_2">貸倒損失の注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingBadDebtsWrittenOffTextBlock" xlink:to="label_NotesRegardingBadDebtsWrittenOffTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingBadDebtsWrittenOffTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingBadDebtsWrittenOffTextBlock">貸倒損失の注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingBadDebtsWrittenOffTextBlock" xlink:to="label_NotesRegardingBadDebtsWrittenOffTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates_2">関係会社貸倒引当金戻入額及び関係会社事業損失引当金繰入額の注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates" xlink:to="label_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates">関係会社貸倒引当金戻入額及び関係会社事業損失引当金繰入額の注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates" xlink:to="label_NotesRegardingReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesAndProvisionForLossOnBusinessOfSubsidiariesAndAssociates" />
    <link:label xlink:type="resource" xlink:label="label_SakakidaMasakazuMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SakakidaMasakazuMember">榊田　雅和</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakakidaMasakazuMember" xlink:to="label_SakakidaMasakazuMember" />
    <link:label xlink:type="resource" xlink:label="label_SakakidaMasakazuMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SakakidaMasakazuMember_2">榊田　雅和 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakakidaMasakazuMember" xlink:to="label_SakakidaMasakazuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OtaKojiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OtaKojiMember_2">太田　光治</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtaKojiMember" xlink:to="label_OtaKojiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OtaKojiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OtaKojiMember">太田　光治 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtaKojiMember" xlink:to="label_OtaKojiMember" />
    <link:label xlink:type="resource" xlink:label="label_DeguchiAtsushiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DeguchiAtsushiMember_2">出口　篤</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DeguchiAtsushiMember" xlink:to="label_DeguchiAtsushiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DeguchiAtsushiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DeguchiAtsushiMember">出口　篤 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DeguchiAtsushiMember" xlink:to="label_DeguchiAtsushiMember" />
    <link:label xlink:type="resource" xlink:label="label_KobayashiNaokiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KobayashiNaokiMember_2">小林　直樹</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KobayashiNaokiMember" xlink:to="label_KobayashiNaokiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KobayashiNaokiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KobayashiNaokiMember">小林　直樹 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KobayashiNaokiMember" xlink:to="label_KobayashiNaokiMember" />
    <link:label xlink:type="resource" xlink:label="label_IshikawaMasaoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IshikawaMasaoMember_2">石川　正男</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshikawaMasaoMember" xlink:to="label_IshikawaMasaoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IshikawaMasaoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IshikawaMasaoMember">石川　正男 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshikawaMasaoMember" xlink:to="label_IshikawaMasaoMember" />
    <link:label xlink:type="resource" xlink:label="label_MatsukawaRyoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MatsukawaRyoMember">松川　良</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsukawaRyoMember" xlink:to="label_MatsukawaRyoMember" />
    <link:label xlink:type="resource" xlink:label="label_MatsukawaRyoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MatsukawaRyoMember_2">松川　良 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsukawaRyoMember" xlink:to="label_MatsukawaRyoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KunigoYutakaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KunigoYutakaMember_2">救仁郷　豊</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KunigoYutakaMember" xlink:to="label_KunigoYutakaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KunigoYutakaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KunigoYutakaMember">救仁郷　豊 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KunigoYutakaMember" xlink:to="label_KunigoYutakaMember" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeShuheiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_WatanabeShuheiMember_2">渡部　修平</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeShuheiMember" xlink:to="label_WatanabeShuheiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeShuheiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_WatanabeShuheiMember">渡部　修平 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeShuheiMember" xlink:to="label_WatanabeShuheiMember" />
    <link:label xlink:type="resource" xlink:label="label_NarahashiMikaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NarahashiMikaMember_2">奈良橋　美香 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NarahashiMikaMember" xlink:to="label_NarahashiMikaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NarahashiMikaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NarahashiMikaMember">奈良橋　美香</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NarahashiMikaMember" xlink:to="label_NarahashiMikaMember" />
    <link:label xlink:type="resource" xlink:label="label_ItoHisashiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ItoHisashiMember">伊藤　尚志</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ItoHisashiMember" xlink:to="label_ItoHisashiMember" />
    <link:label xlink:type="resource" xlink:label="label_ItoHisashiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ItoHisashiMember_2">伊藤　尚志 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ItoHisashiMember" xlink:to="label_ItoHisashiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuHiroyukiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShimizuHiroyukiMember">清水　啓之</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuHiroyukiMember" xlink:to="label_ShimizuHiroyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuHiroyukiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShimizuHiroyukiMember_2">清水　啓之 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuHiroyukiMember" xlink:to="label_ShimizuHiroyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KugaTakuyaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KugaTakuyaMember">久我　卓也</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KugaTakuyaMember" xlink:to="label_KugaTakuyaMember" />
    <link:label xlink:type="resource" xlink:label="label_KugaTakuyaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KugaTakuyaMember_2">久我　卓也 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KugaTakuyaMember" xlink:to="label_KugaTakuyaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KurokiShokoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KurokiShokoMember">黒木　彰子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KurokiShokoMember" xlink:to="label_KurokiShokoMember" />
    <link:label xlink:type="resource" xlink:label="label_KurokiShokoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KurokiShokoMember_2">黒木　彰子 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KurokiShokoMember" xlink:to="label_KurokiShokoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MatsuoYumikoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MatsuoYumikoMember">松尾　祐美子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsuoYumikoMember" xlink:to="label_MatsuoYumikoMember" />
    <link:label xlink:type="resource" xlink:label="label_MatsuoYumikoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MatsuoYumikoMember_2">松尾　祐美子 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsuoYumikoMember" xlink:to="label_MatsuoYumikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_JointlyControlledAssetsOfJointVentureCA" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_JointlyControlledAssetsOfJointVentureCA">ジョイントベンチャー持分資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="JointlyControlledAssetsOfJointVentureCA" xlink:to="label_JointlyControlledAssetsOfJointVentureCA" />
    <link:label xlink:type="resource" xlink:label="label_JointlyControlledAssetsOfJointVentureCA_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_JointlyControlledAssetsOfJointVentureCA_2">ジョイントベンチャー持分資産、流動資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="JointlyControlledAssetsOfJointVentureCA" xlink:to="label_JointlyControlledAssetsOfJointVentureCA_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForTreatmentOfPCBWasteNCL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForTreatmentOfPCBWasteNCL">PCB処理引当金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForTreatmentOfPCBWasteNCL" xlink:to="label_ProvisionForTreatmentOfPCBWasteNCL" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForTreatmentOfPCBWasteNCL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForTreatmentOfPCBWasteNCL_2">PCB処理引当金、固定負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForTreatmentOfPCBWasteNCL" xlink:to="label_ProvisionForTreatmentOfPCBWasteNCL_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets">受取手形・完成工事未収入金及び契約資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets" xlink:to="label_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets" />
    <link:label xlink:type="resource" xlink:label="label_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets_2">受取手形・完成工事未収入金及び契約資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets" xlink:to="label_NotesReceivableAccountsReceivableFromCompletedConstructionContractsAndContractAssets_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnLiquidationOfInvestmentSecuritiesEL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnLiquidationOfInvestmentSecuritiesEL_2">投資有価証券清算損</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnLiquidationOfInvestmentSecuritiesEL" xlink:to="label_LossOnLiquidationOfInvestmentSecuritiesEL_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnLiquidationOfInvestmentSecuritiesEL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnLiquidationOfInvestmentSecuritiesEL">投資有価証券清算損、特別損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnLiquidationOfInvestmentSecuritiesEL" xlink:to="label_LossOnLiquidationOfInvestmentSecuritiesEL" />
    <link:label xlink:type="resource" xlink:label="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL">国内事業統合に伴うオフィス集約費用</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL" xlink:to="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL" />
    <link:label xlink:type="resource" xlink:label="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL_2">国内事業統合に伴うオフィス集約費用、特別損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL" xlink:to="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationEL_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI_2">関係会社貸倒引当金戻入額</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI" xlink:to="label_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI">関係会社貸倒引当金戻入額、特別利益</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI" xlink:to="label_ReversalOfAllowanceForDoubtfulAccountsForSubsidiariesAndAssociatesEI" />
    <link:label xlink:type="resource" xlink:label="label_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL_2">関係会社貸倒損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL" xlink:to="label_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL_2" />
    <link:label xlink:type="resource" xlink:label="label_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL">関係会社貸倒損失、特別損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL" xlink:to="label_BadDebtsWrittenOffOfSubsidiariesAndAssociatesEL" />
    <link:label xlink:type="resource" xlink:label="label_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF">投資有価証券清算損益（△は益）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossGainOnLiquidationOfInvestmentSecuritiesOpeCF" xlink:to="label_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF_2">投資有価証券清算損益（△は益）、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossGainOnLiquidationOfInvestmentSecuritiesOpeCF" xlink:to="label_LossGainOnLiquidationOfInvestmentSecuritiesOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF">国内事業統合に伴うオフィス集約費用</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF" xlink:to="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF_2">国内事業統合に伴うオフィス集約費用、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF" xlink:to="label_OfficeConsolidationExpensesRelatedToDomesticBusinessIntegrationOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF">ジョイントベンチャー持分資産の増減額（△は増加）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF" xlink:to="label_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF_2">ジョイントベンチャー持分資産の増減額（△は増加）、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF" xlink:to="label_DecreaseIncreaseInJointlyControlledAssetOfJointVentureOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF">関係会社の清算による収入</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF" xlink:to="label_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF_2">関係会社の清算による収入、投資活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF" xlink:to="label_ProceedsFromLiquidationOfSubsidiariesAndAssociatesInvCF_2" />
  </link:labelLink>
</link:linkbase>